# Deprecated API

## Contents

- Classes
- Fields
- Methods

- Classes
  Class | Description
  --- | ---
  picard.fingerprint.CrosscheckReadGroupFingerprints | 6/6/2017 Use `CrosscheckFingerprints` instead.
  picard.sam.SetNmAndUqTags |

- Fields
  Field | Description
  --- | ---
  picard.illumina.CheckIlluminaDirectory.LINK_LOCS | It is no longer necessary to create locs file symlinks.
  picard.illumina.IlluminaBasecallsToFastq.ADAPTERS_TO_CHECK |
  picard.sam.FastqToSam.STRIP_UNPAIRED_MATE_NUMBER |
  picard.sam.markduplicates.util.AbstractMarkDuplicatesCommandLineProgram.ASSUME_SORTED |
  picard.sam.MergeBamAlignment.JUMP_SIZE |
  picard.sam.MergeBamAlignment.PAIRED_RUN |

- Methods
  Method | Description
  --- | ---
  picard.illumina.parser.TileMetricsUtil.parseTileMetrics​(File, Map<Integer, File>, ReadStructure, ValidationStringency) | use `TileMetricsUtil.parseClusterRecordsFromTileMetricsV3(Collection, Map, ReadStructure)` instead
  picard.illumina.parser.TileMetricsUtil.renderTileMetricsFileFromBasecallingDirectory​(File, int, boolean) | use `TileMetricsUtil.findTileMetricsFiles(File, int, boolean)` instead
  picard.sam.CreateSequenceDictionary.makeSequenceDictionary​(File) |
  picard.sam.DuplicationMetrics.calculateDerivedMetrics() |
  picard.util.ClippingUtility.adapterTrimIlluminaPairedReads​(SAMRecord, SAMRecord, AdapterPair) | Use the varargs version. This no longer returns a warning string..
  picard.util.ClippingUtility.adapterTrimIlluminaSingleRead​(SAMRecord, AdapterPair) | Use the varargs version. This no longer returns a warning string..
  picard.util.MathUtil.logLikelihoodsToProbs​(double[]) |